Bug 13023 - removing CSS outline bad for accessibility
Summary: removing CSS outline bad for accessibility
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords: a11y, WGDecision
Depends on:
Blocks:
 
Reported: 2011-06-23 09:24 UTC by steve faulkner
Modified: 2012-04-20 02:55 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve faulkner 2011-06-23 09:24:58 UTC
the spec currently encourages authors to hide outlines on focusable elements:

"...if you find the focus ring unsightly. Instead, use a CSS rule to override the 'outline' property.

For example, to hide the outline from links, you could use:

:link:focus, :visited:focus { outline: none; }"
http://dev.w3.org/html5/spec/editing.html#element-level-focus-apis

recommend removing or rewording as the removal of CSS outlines is a well known usability/accessibility issue.

references:
http://webaim.org/blog/plague-of-outline-0/
http://www.456bereastreet.com/archive/201104/keyboard_accessibility_again/
Comment 1 Michael[tm] Smith 2011-08-04 05:02:09 UTC
mass-moved component to LC1
Comment 2 Ian 'Hixie' Hickson 2011-08-10 01:06:22 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: Authors want to do this. If they're going to do it anyway, let's at least push them towards doing it the way that is trivially made accessible rather than what they do now (which is to move the focus around).
Comment 3 steve faulkner 2012-01-13 10:03:13 UTC
escalating to issue https://www.w3.org/html/wg/tracker/issues/193
issue name: Remove CSS example that promotes inaccessible content.